List members of a volume

This call returns the members of a specific volume. The volume is specified as volume_id and consists of the owner and name of a volume (for example rfranklin/my-first-volume).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

If you are using Seven Bridges Platform EU, please use the following endpoint: https://eu-api.sbgenomics.com/v2/storage/volumes/{volume_owner}/{volume_name}/members

Response

See a list of Seven Bridges Platform-specific response codes that may be contained in the body of the response.

Interpreting the response body

Volume members have the following permissions:

KeyData typeDescription
readStringSet this to true to grant read permissions or false to remove them. read permissions allow a volume member to browse the contents of the volume.
copyStringSet this to true to grant copy permissions or false to remove them. copy permissions allow a volume member to import the contents of the volume to the Platform.
writeStringSet this to true to grant write permissions or false to remove them. write permissions allow a volume member to export files from the Platform to the volume.
adminStringSet this to true to grant admin permissions or false to remove them.
Path Params
string
required

The username of the volume owner.

string
required

The name of the volume you want to query.

Headers
string
required

Your Seven Bridges Platform authentication token. For security reasons, token will not be automatically populated in the generated code sample. Please replace <your-token-here> with your token before executing this call.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json